package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.sys.entity.RoleMenu;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface RoleMenuService {
	RoleMenu get(String id);
	boolean exist(String id);
	int insert(RoleMenu model);
	int update(RoleMenu model);
	int delete(String id);
	List<RoleMenu> list();
	Page<RoleMenu> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
    List<RoleMenu> findByRoleId(String roleId);
	int deleteByRoleId(String roleId);
}